<?
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';

$set['title']='Банк VipSpaces-City'; // caaieiaie no?aieou
include_once '../../sys/inc/thead.php';

only_reg(); // только для зарегистрированы
title(); // только для зарегистрированы

$user['balls']=htmlspecialchars(stripslashes(trim($user['balls'])));

$t=time();
if($_GET['mode']=='')
{
if($t>$user['last_time'])
{
if($user['bank_balans']<1000){$user[bank_balans]+=100;}
else
{
$user[bank_balans]+=300;
}

mysql_query("UPDATE `user` SET `bank_balans` = '$user[bank_balans]' WHERE `id` = '$user[id]';");
echo"<b>Продление счёта успешно завершено!</b><br />";
$user['last_time']=1000000000000000;
mysql_query("UPDATE `user` SET `last_time` = '$user[last_time]' WHERE `id` = '$user[id]';");
echo "У Вас на счету: <b>$user[balls] баллов</b><br />";
echo "В банке: <b>$user[bank_balans]</b><br />";
echo "<form method=\"post\" action=\"index.php?mode=go\">\n";
echo "Операция:<br/><input name=\"chislo\" class=\"form\" value=\"\" type=\"text\" /><br />\n";
echo "<select class=\"form\" name=\"oper\">\n";
echo "<option value=\"1\">Снять с счета</option>\n
<option value=\"2\">Положить на счет</option>\n";
echo "</select><br />\n";
echo "<input value=\"Ok\" class=\"form\" type=\"submit\" /><br />\n";
echo "</form>";
$result=mysql_query("SELECT sum(`bank_balans`),sum(`balls`) FROM user");
$row = mysql_fetch_array($result);
$vkl = (int)$row[0];;
echo"<a href='top.php'>Топ вкладчиков</a><br />";
print"Капитал банка <b>$vkl</b> баллов<br />";

for($i=1;$i<=$onl[users];$i++)
{
$ro =mysql_fetch_array(mysql_query("Select `bank_balans` from `user` where id='".$i."' LIMIT 1;"));
$s = $ro["bank_balans"];
if($s>0)
{
$k++;
}
}
print"Всего вкладчиков: <b>$k</b><br />";
}
else
{
echo "У Вас на счету: <b>$user[balls] баллов</b><br />";
echo "В банке: <b>$user[bank_balans]</b><br />";
echo "<form method=\"post\" action=\"index.php?mode=go&amp;chislo=$chislo&amp;oper=$oper\">\n";
echo "Операция:<br/><input name=\"chislo\" class=\"form\" value=\"\" type=\"text\" /><br />\n";
echo "<select class=\"form\" name=\"oper\"><br />\n";
echo "<option value=\"1\">Снять с счета</option>\n
<option value=\"2\">Положить на счет</option>\n";
echo "</select><br />\n";
echo "<input value=\"Ok\" class=\"form\" type=\"submit\" /><br />\n";
echo "</form>";
$result=mysql_query("SELECT sum(`bank_balans`),sum(`balls`) FROM user");
$row = mysql_fetch_array($result);
$vkl = (int)$row[0];;
echo"<a href='top.php'>Топ вкладчиков</a><br />";
print"Капитал банка <b>$vkl</b> баллов<br />";

for($i=1;$i<=$onl[users];$i++)
{
$ro =mysql_fetch_array(mysql_query("Select bank_balans from user where id='".$i."' LIMIT 1;"));
$s = $ro["bank_balans"];
if($s>0)
{
$k++;
}
}
print"Всего вкладчиков: <b>$k</b><br />";
}
}
if($_GET['mode']=='go')
{
$user['balls']=htmlspecialchars(stripslashes(trim($user['balls'])));
$chislo=htmlspecialchars(stripslashes(trim($chislo)));
$user['bank_balans']=htmlspecialchars(stripslashes(trim($user['bank_balans'])));
if($_POST['oper']==1)
{
if ($_POST['chislo']>$user['bank_balans'] || $_POST['chislo']<0)
{
print"ERROR!!!<br />";
}
else
{
$user['bank_balans']-=$_POST['chislo'];
mysql_query("UPDATE `user` SET `bank_balans` = '$user[bank_balans]' WHERE `id` = '$user[id]';");
$user['balls']+=$_POST['chislo'];
mysql_query("UPDATE `user` SET `balls` = '$user[balls]' WHERE `id` = '$user[id]';");
 print"ГОТОВО))))))<br />";
 echo "У Вас на счету: <b>$user[balls] баллов</b><br />";
echo "В банке: <b>$user[bank_balans]</b><br />";
}
}
else if($_POST['oper']==2)
{
if ($_POST['chislo']>$user['balls']  || $_POST['chislo']<0)
{
print"ERROR!!!<br />";
}
else
{
$user[balls]-=$_POST['chislo'];
mysql_query("UPDATE `user` SET `balls` = '$user[balls]' WHERE `id` = '$user[id]';");
$user[bank_balans]+=$_POST['chislo'];
mysql_query("UPDATE `user` SET `bank_balans` = '$user[bank_balans]' WHERE `id` = '$user[id]';");
 print"ГОТОВО))))))<br />";
 echo "У Вас на счету: <b>$user[balls] баллов</b><br />";
echo "В банке: <b>$user[bank_balans]</b><br />";
$vr=time();
$vr+=18000;
$user['last_time']=$vr;
mysql_query("UPDATE `user` SET `last_time` = '$user[last_time]' WHERE `id` = '$user[id]';");
echo"<b>Продление счёта произойдёт через 5 часов!</b><br />";

}
}
}


echo "<a href=\"/city\">&#8592; VipSpaces-City</a><br />\n";
include_once '../../sys/inc/tfoot.php';
?>
